List Regions By Country And Tax Type And Tax Sub Type And Rate Type
Access control: this endpoint is available to users with the
everyonerole.
Returns a list of all ISO 3166 region codes for a specific country code and their US English friendly names. This API is intended to be used as a way to provide a dropdown box in your website to allow customers to select a region within the country for shipping addresses.
Authentication
Path parameters
The taxTypeId for which you want to retrieve the regions. Example values include Autimotive, tires, Lodging, S, U, I, O, All, etc. Run the “/api/v2/definitions/taxtypes/countries/{country}?companyId=” endpoint for a list of taxTypeId values.
The taxSubType for which you want to retrieve the regions. Example values include Accommodations, BikeTax, IGST, S, U, All, etc. Run the “api/v2/definitions/taxsubtypes” endpoint for a list of taxSubTypes values.
The rateTypeId for which you want to retrieve the regions. Note: The rateTypeId is an integer. Run the “/api/v2/definitions/countries/{country}/taxtypes/{taxTypeId}/taxsubtypes/{taxSubTypeId}/ratetypes” endpoint for a list of rateTypeId values.”
The JurisdictionTypeId for which you want to retrieve the regions.
This is a three-character string. Accepted values are CNT (country), STA (state), CTY (county), CIT (city), or STJ (special jurisdiction).
Headers
Identifies the software you are using to call this API. For more information on the client header, see Client Headers .
Query parameters
If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.
If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.
A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.
Optional query parameter to filter system, custom content or all regions (default: System)

